| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::message_file_data Struct Reference

The data for a file attached to a message. More...

`#include <message.h>`

Collaboration diagram for dpp::message_file_data:
[legend]

## Public Attributes

std::string | content {}
| File content to upload (raw binary).
std::string | mimetype {}
| Mime type of files to upload.
std::string | name {}
| Name of file to upload (for use server-side in discord's url).

## Detailed Description

The data for a file attached to a message.

Todo
  Change the naming of this and make stickers (and potentially anything else that has data like this) use this.

## Member Data Documentation

## ◆ content

std::string dpp::message_file_data::content {}

File content to upload (raw binary).

## ◆ mimetype

std::string dpp::message_file_data::mimetype {}

Mime type of files to upload.

Todo
  Look at turning this into an enum? This would allow people to easily compare mimetypes if they happen to change.

## ◆ name

std::string dpp::message_file_data::name {}

Name of file to upload (for use server-side in discord's url).

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0